Withdraw Research Consent
curl --request DELETE \
--url https://api.thefaithapp.com/v1/community/research-consent \
--header 'Authorization: Bearer <token>' \
--header 'X-API-Key: <api-key>'const options = {
method: 'DELETE',
headers: {'X-API-Key': '<api-key>', Authorization: 'Bearer <token>'}
};
fetch('https://api.thefaithapp.com/v1/community/research-consent', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.thefaithapp.com/v1/community/research-consent"
headers = {
"X-API-Key": "<api-key>",
"Authorization": "Bearer <token>"
}
response = requests.delete(url, headers=headers)
print(response.text){
"status": "Success",
"data": {
"research_pilots": {
"enabled": true,
"eligible": true,
"research_only": true,
"automated_matching": false,
"consent_version": "2026-07",
"active": false,
"pilot_keys": [],
"consented_at": null
}
}
}Community Preferences & Research
Withdraw Research Consent
Withdraws the authenticated member from all community research pilots.
DELETE
/
v1
/
community
/
research-consent
Withdraw Research Consent
curl --request DELETE \
--url https://api.thefaithapp.com/v1/community/research-consent \
--header 'Authorization: Bearer <token>' \
--header 'X-API-Key: <api-key>'const options = {
method: 'DELETE',
headers: {'X-API-Key': '<api-key>', Authorization: 'Bearer <token>'}
};
fetch('https://api.thefaithapp.com/v1/community/research-consent', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.thefaithapp.com/v1/community/research-consent"
headers = {
"X-API-Key": "<api-key>",
"Authorization": "Bearer <token>"
}
response = requests.delete(url, headers=headers)
print(response.text){
"status": "Success",
"data": {
"research_pilots": {
"enabled": true,
"eligible": true,
"research_only": true,
"automated_matching": false,
"consent_version": "2026-07",
"active": false,
"pilot_keys": [],
"consented_at": null
}
}
}Authorizations
Public client key copied from Developer Access. The member bearer token authenticates the request.
Member access token returned by POST /v1/auth/token.
Was this page helpful?